=== debian/changelog ===
therion (5.3.3-1ubuntu1) natty; urgency=low

  * debian/patches/99-binutils-gold.patch: Add -lpng12 -ljpeg -lX11
    for binutils-gold, fixes FTBFS. (LP: #670686)

 -- Roy Jamison <xteejyx@googlemail.com>  Wed, 03 Nov 2010 23:19:24 +0000

therion (5.3.3-1) unstable; urgency=low

  * New upstream release.

 -- wookey <wookey@wookware.org>  Sun, 06 Jun 2010 23:51:08 +0100

therion (5.3.0-1) unstable; urgency=low

  * New upstream release. closes:Bug#565049
  * Switch to dpkg-source 3.0 (quilt) format, and stop packaging the
     wiki docs closes:Bug#576053

 -- Wookey <wookey@debian.org>  Tue, 06 Apr 2010 02:41:17 +0100
