## therion 5.3.7

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
   thinit.o thdb1d.o thsvxctrl.o thdatastation.o thobjectid.o \
   thobjectsrc.o thgrade.o thlibrary.o thgeomag.o thbezier.o \
   thexport.o thexporter.o thselector.o extern/img.o \
-  thexpmodel.o thdb2d00.o thscrapis.o thcsdata.o thexptable.o \
+  thexpmodel.o thdb2d00.o thscrapis.o thcs.o thcsdata.o thexptable.o \
   thdb2d.o thscrap.o thendscrap.o th2ddataobject.o thdb2dprj.o \
   thdb2dpt.o thdb2dlp.o thdb2dab.o thdb2dji.o thdb2dmi.o thdb2dcp.o \
   thdb2dxm.o thdb2dxs.o thscraplo.o thscraplp.o thscrapen.o \
@@ -16,8 +16,9 @@
   thjoin.o thmap.o thexpmap.o thlayoutln.o thlayoutclr.o thexpsys.o thexpuni.o \
   thconvert.o thpdf.o thpdfdbg.o thpdfdata.o thtexfonts.o \
   thsymbolset.o thlang.o thmapstat.o thexpdb.o thpic.o thsketch.o thproj.o \
-  extern/lxMath.o extern/lxFile.o thcdt.o thdb3d.o thsurface.o thimport.o thsvg.o thepsparse.o \
+  extern/lxMath.o extern/lxFile.o thdb3d.o thsurface.o thimport.o thsvg.o thepsparse.o \
   thtrans.o thwarpp.o thwarppt.o thwarppme.o thwarp.o thexpshp.o thattr.o thtex.o \
+  extern/poly2tri/common/shapes.o extern/poly2tri/sweep/advancing_front.o extern/poly2tri/sweep/sweep.o extern/poly2tri/sweep/cdt.o extern/poly2tri/sweep/sweep_context.o \
   therion.o extern/proj4/libproj.a 
 
 # PLATFORM CONFIG
@@ -98,7 +99,7 @@
 
 # compiler settings
 CXXFLAGS = -Wall $(CXXPFLAGS) $(CXXBFLAGS)
-CCFLAGS = -Wall $(CCPFLAGS) $(CCBFLAGS)
+CCFLAGS = -DIMG_API_VERSION=1 -Wall $(CCPFLAGS) $(CCBFLAGS)
 OBJECTS = $(POBJECTS) $(CMNOBJECTS)
 
 
@@ -107,10 +108,12 @@
 LDFLAGS = $(LDBFLAGS)
 
 
-.SUFFIXES:
-.SUFFIXES: .cxx .o .h .c
+.SUFFIXES: .cxx .o .h .c .cc
 
 .cxx.o:
+	$(CXX) -c $(CXXFLAGS) -o $@ $<
+
+.cc.o:
 	$(CXX) -c $(CXXFLAGS) -o $@ $<
 
 .c.o:
@@ -188,7 +191,7 @@
 	make -C ./extern/proj4 clean
 	perl makefile.pl rm -q therion ./xtherion/xtherion ./xtherion/xtherion.tcl therion.exe *~ *.log *.o thchencdata/*~ .xtherion.dat
 	perl makefile.pl rm -q xtherion/*~ .xth_thconfig_xth xtherion/screendump thlang/*~
-	perl makefile.pl rm -q extern/*.o extern/*~ samples/*~ samples/*.log
+	perl makefile.pl rm -q extern/*.o extern/*~ extern/poly2tri/common/*.o extern/poly2tri/sweep/*.o samples/*~ samples/*.log
 	perl makefile.pl rm -q symbols.html therion.res
 	perl makefile.pl rm -q tri/*.o tri/*~
 	perl makefile.pl rm -q tex/*~
@@ -256,10 +259,11 @@
 extern/getopt.o: extern/getopt.c extern/getopt.h
 extern/getopt1.o: extern/getopt1.c
 extern/img.o: extern/img.c extern/img.h
-tri/construct.o: tri/triangulate.h tri/construct.c
-tri/misc.o: tri/triangulate.h tri/misc.c
-tri/monotone.o: tri/triangulate.h tri/monotone.c
-tri/tri.o: tri/triangulate.h tri/tri.c
+extern/poly2tri/common/shapes.o: extern/poly2tri/common/shapes.cc extern/poly2tri/common/shapes.h
+extern/poly2tri/sweep/advancing_front.o: extern/poly2tri/sweep/advancing_front.cc
+extern/poly2tri/sweep/sweep.o: extern/poly2tri/sweep/sweep.cc
+extern/poly2tri/sweep/cdt.o: extern/poly2tri/sweep/cdt.cc
+extern/poly2tri/sweep/sweep_context.o: extern/poly2tri/sweep/sweep_context.cc
 
 # DEPENDENCIES
 th2ddataobject.o: th2ddataobject.cxx th2ddataobject.h thdataobject.h \
@@ -268,23 +272,21 @@
  thattr.h thchenc.h thchencdata.h thdb2d.h thdb2dprj.h thmapstat.h \
  thdate.h thperson.h thlegenddata.h thdb2dpt.h thdb2dlp.h thdb2dab.h \
  thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h \
- thlayoutln.h thscrapen.h thscraplp.h thexception.h thsymbolset.h \
- thsymbolsetlist.h
+ thlayoutln.h thlayoutclr.h thscrapen.h thscraplp.h thexception.h \
+ thsymbolset.h thsymbolsetlist.h
 tharea.o: tharea.cxx tharea.h th2ddataobject.h thdataobject.h \
  thdatabase.h thmbuffer.h thbuffer.h thdb1d.h thobjectid.h thinfnan.h \
  thdataleg.h thparse.h thobjectname.h therion.h thobjectsrc.h thdb3d.h \
  thattr.h thchenc.h thchencdata.h thdb2d.h thdb2dprj.h thmapstat.h \
  thdate.h thperson.h thlegenddata.h thdb2dpt.h thdb2dlp.h thdb2dab.h \
  thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h \
- thlayoutln.h thscrapen.h thscraplp.h thexception.h thexpmap.h thexport.h \
- thsymbolset.h thsymbolsetlist.h thlayout.h thlocale.h thlang.h \
- thlangdata.h thline.h
+ thlayoutln.h thlayoutclr.h thscrapen.h thscraplp.h thexception.h \
+ thexpmap.h thexport.h thsymbolset.h thsymbolsetlist.h thlayout.h \
+ thlocale.h thlang.h thlangdata.h thline.h
 thattr.o: thattr.cxx thattr.h thmbuffer.h thchenc.h thchencdata.h \
  thparse.h thbuffer.h extern/shapefil.h thexception.h therion.h
 thbezier.o: thbezier.cxx thbezier.h
 thbuffer.o: thbuffer.cxx thbuffer.h
-thcdt.o: thcdt.cxx thcdt.h thcdt/geom2d.h thcdt/myMacro.h thcdt/cdt.h \
- thcdt/cdt.cpp
 thchenc.o: thchenc.cxx thchenc.h thchencdata.h thparse.h thbuffer.h \
  thmbuffer.h thchencdata.cxx therion.h thexception.h
 thchencdata.o: thchencdata.cxx
@@ -297,10 +299,10 @@
  thdataobject.h thperson.h thdate.h thdataleg.h thobjectname.h thinfnan.h \
  thdb1d.h thobjectid.h thdb3d.h thattr.h thdb2d.h thdb2dprj.h thmapstat.h \
  thlegenddata.h thdb2dpt.h thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h \
- thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h \
- thscraplp.h thdatareader.h thcsdata.h thproj.h thlogfile.h thinit.h \
- thgeomag.h thgeomagdata.h thlayout.h thsymbolset.h thsymbolsetlist.h \
- thlocale.h thsketch.h thpic.h
+ thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h thlayoutclr.h \
+ thscrapen.h thscraplp.h thdatareader.h thcsdata.h thproj.h thlogfile.h \
+ thinit.h thgeomag.h thgeomagdata.h thlayout.h thsymbolset.h \
+ thsymbolsetlist.h thlocale.h thsketch.h thpic.h
 thconvert.o: thconvert.cxx thpdfdbg.h thexception.h therion.h thbuffer.h \
  thpdfdata.h thepsparse.h thtexfonts.h
 thcsdata.o: thcsdata.cxx thcsdata.h thparse.h thbuffer.h thmbuffer.h
@@ -310,19 +312,20 @@
  thchenc.h thchencdata.h thdb2d.h thdb2dprj.h thmapstat.h thdate.h \
  thperson.h thlegenddata.h thdb2dpt.h thdb2dlp.h thdb2dab.h thdb2dji.h \
  thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h \
- thscrapen.h thscraplp.h thtfangle.h thtf.h thtflength.h thtfpwf.h \
- thexception.h thsurvey.h thgrade.h thcsdata.h thdatareader.h thinput.h
+ thlayoutclr.h thscrapen.h thscraplp.h thtfangle.h thtf.h thtflength.h \
+ thtfpwf.h thexception.h thsurvey.h thgrade.h thcsdata.h thdatareader.h \
+ thinput.h
 thdatabase.o: thdatabase.cxx thdatabase.h thdataobject.h thperson.h \
  thparse.h thbuffer.h thmbuffer.h thdate.h thdataleg.h thobjectname.h \
  therion.h thobjectsrc.h thinfnan.h thdb1d.h thobjectid.h thdb3d.h \
  thattr.h thchenc.h thchencdata.h thdb2d.h thdb2dprj.h thmapstat.h \
  thlegenddata.h thdb2dpt.h thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h \
- thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h \
- thscraplp.h thsurvey.h thtfpwf.h thendsurvey.h thexception.h thdata.h \
- thtfangle.h thtf.h thtflength.h thcmdline.h thdatastation.h thgrade.h \
- thlayout.h thsymbolset.h thsymbolsetlist.h thlocale.h thscrap.h \
- thsketch.h thpic.h thtrans.h th2ddataobject.h thpoint.h thline.h \
- tharea.h thjoin.h thmap.h thimport.h thsurface.h thendscrap.h
+ thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h thlayoutclr.h \
+ thscrapen.h thscraplp.h thsurvey.h thtfpwf.h thendsurvey.h thexception.h \
+ thdata.h thtfangle.h thtf.h thtflength.h thcmdline.h thdatastation.h \
+ thgrade.h thlayout.h thsymbolset.h thsymbolsetlist.h thlocale.h \
+ thscrap.h thsketch.h thpic.h thtrans.h th2ddataobject.h thpoint.h \
+ thline.h tharea.h thjoin.h thmap.h thimport.h thsurface.h thendscrap.h
 thdataleg.o: thdataleg.cxx thdataleg.h thparse.h thbuffer.h thmbuffer.h \
  thobjectname.h therion.h thobjectsrc.h thinfnan.h
 thdataobject.o: thdataobject.cxx thdataobject.h thdatabase.h thmbuffer.h \
@@ -330,17 +333,10 @@
  thobjectname.h therion.h thobjectsrc.h thdb3d.h thattr.h thchenc.h \
  thchencdata.h thdb2d.h thdb2dprj.h thmapstat.h thdate.h thperson.h \
  thlegenddata.h thdb2dpt.h thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h \
- thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h \
- thscraplp.h thexception.h thsurvey.h thtfpwf.h thconfig.h thinput.h \
- thexporter.h thexport.h thselector.h thcsdata.h thproj.h
+ thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h thlayoutclr.h \
+ thscrapen.h thscraplp.h thexception.h thsurvey.h thtfpwf.h thconfig.h \
+ thinput.h thexporter.h thexport.h thselector.h thcsdata.h thproj.h
 thdatareader.o: thdatareader.cxx thdatareader.h thdatabase.h \
  thdataobject.h thperson.h thparse.h thbuffer.h thmbuffer.h thdate.h \
  thdataleg.h thobjectname.h therion.h thobjectsrc.h thinfnan.h thdb1d.h \
  thobjectid.h thdb3d.h thattr.h thchenc.h thchencdata.h thdb2d.h \
- thdb2dprj.h thmapstat.h thlegenddata.h thdb2dpt.h thdb2dlp.h thdb2dab.h \
- thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h \
- thlayoutln.h thscrapen.h thscraplp.h thinput.h thexception.h
-thdatastation.o: thdatastation.cxx thdatastation.h thdataobject.h \
- thdatabase.h thmbuffer.h thbuffer.h thdb1d.h thobjectid.h thinfnan.h \
- thdataleg.h thparse.h thobjectname.h therion.h thobjectsrc.h thdb3d.h \
- thattr.h thchenc.h thchencdata.h thdb2d.h thdb2dprj.h thmapstat.h \
