=== debian/changelog ===
therion (5.3.7-1) unstable; urgency=low

  * New upstream release
  * Use VTK 5.6 (Closes: #614457)
  * Include binutils-gold (Closes: #556672). Thanks Roy Jamison for
      the patch
  * Add gcc-4.5 fixes (CLoses: 624994)

 -- Wookey <wookey@debian.org>  Tue, 31 May 2011 00:33:30 +0100

therion (5.3.6-1) experimental; urgency=low

  * New upstream release

 -- Wookey <wookey@debian.org>  Sat, 19 Feb 2011 11:37:54 +0000

therion (5.3.5-2) experimental; urgency=low

  * Fix up desktop and mimetype files
  * Direct to experimental until after release

 -- Wookey <wookey@debian.org>  Thu, 18 Nov 2010 11:57:39 +0000

therion (5.3.5-1) unstable; urgency=low

  * New upstream release
  * Remove dependency on dbs (Closes: #576053)

 -- Wookey <wookey@debian.org>  Mon, 15 Nov 2010 21:30:00 +0000
