=== debian/rules ===
--- 
+++ 
@@ -14,12 +14,11 @@
 
 	# Add here commands to compile the package.
 	$(MAKE)
-	/usr/bin/docbook-to-man debian/manloch.sgml > man/loch.1
 	ln -sf loch.1 man/therion-viewer.1
 	# create therion.ini file:
 	#$(MAKE) init
 ifeq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
-	# create samples HTML documentation
+	# create HTML documentation for samples
 	$(MAKE) samples
 endif
 
@@ -32,7 +31,7 @@
 	rm -f build-stamp
 	# Add here commands to clean up after the build process.
 	rm -f man/therion-viewer.1
-	cd samples && $(MAKE) clean
+	#cd samples && $(MAKE) clean
 	dh_auto_clean
 	dh_clean
 
@@ -55,16 +54,16 @@
 #	install -p -o root -g root -m 644 tex/*.tex debian/therion/usr/share/texmf/tex/therion/
 	dh_install
 	dh_installdocs README
-	dh_installdocs -ptherion-doc  thbook/thbook.pdf
 ifeq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
 	dh_installdocs -ptherion-doc samples.doc
 endif
 	dh_installdocs -ptherion-viewer loch/help/en/loch.htm
 	#we need to clear out large generated files from samples before putting just source files in main package
 	cd samples && $(MAKE) clean
-	dh_installexamples --exclude=.tcl --exclude=Makefile samples thconfig therion.ini
+	dh_installexamples -ptherion  --exclude=.tcl --exclude=Makefile --exclude=thTMPDIR samples thconfig therion.ini
 	dh_installmenu
 	dh_installmime
+	dh_icons
 	dh_installman -ptherion man/therion.1 man/xtherion.1
 	dh_installman -ptherion-viewer man/loch.1 man/therion-viewer.1
 	dh_installchangelogs CHANGES
