## therion 5.3.8

=== debian/changelog ===
therion (5.3.8-1) unstable; urgency=low

  * New upstream release

 -- Wookey <wookey@debian.org>  Tue, 21 Jun 2011 00:46:53 +0100
