=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: therion
 Section: science
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Wookey <wookey@debian.org>
+Maintainer: Wookey <wookey@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), perl (>= 5.5), docbook-to-man, texlive-base, texlive-metapost, tcl8.5 | tclsh, libvtk5-dev, libwxgtk2.6-dev, libfreetype6-dev, libjpeg62-dev, libpng12-dev, imagemagick, ghostscript
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 
 Package: therion
 Architecture: any
-Depends: ${shlibs:Depends}, tcl8.5 | wish, texlive-base, texlive-metapost, bwidget
+Depends: ${shlibs:Depends}, ${misc:Depends}, tcl8.5 | wish, texlive-base, texlive-metapost, bwidget
 Recommends: evince | pdf-viewer, libtk-img, therion-viewer, survex
 Suggests: survex-aven, texlive-lang-czechslovak, texlive-lang-cyrillic
 Description: Cave surveying - 2D and 3D drawing software
@@ -16,13 +15,15 @@
  done over scans and can be distorted to fit the centreline data. Output is 
  in single sheet or atlas style PDF or SVG files. All data is stored in text 
  files and a map  editor (xtherion) is provided to aid in the creation of the 
- files. 
+ files. A wide range of co-ordinate systems is supported. 
  .
- Therion can also produce 3D models, generated from walls and passage-heights. 
- Output formats supported are Survex .3d files, VRML, DXF, SVG, shapefiles, 
- and the native .loc and older .thm (therion model). Therion is compatible with 
- Survex, and centreline data can be stored in Survex or Therion form. Centreline 
- data and sketches can be imported from PocketTopo.
+ Therion can also produce 3D models, generated from walls and
+ passage-heights.  Output formats supported are Survex .3d files, VRML, DXF,
+ SVG, shapefiles, and the native .lox. Scanned map overlays and relief data
+ can be incorporated into models. Therion is compatible with Survex, and
+ centreline data can be stored in Survex or Therion form. If survex is
+ installed it is used for loop closures. Centreline data and sketches can be
+ imported from PocketTopo, allowing full paperless surveying.
  .
  TeX and metapost are used to generate the images. libtk-img is needed to use 
  scans in formats other than GIF and PNM (such as PNG and JPEG).
@@ -46,6 +47,7 @@
 Section: doc
 Architecture: all
 Recommends: therion 
+Depends: ${misc:Depends}
 Replaces: therion (<< 0.5.0)
 Description: Documentation for Therion Cave surveying software 
  Therion is cave-survey drawing and modelling software. This package
@@ -53,4 +55,5 @@
  description language. This is not the easiest way to get started;
  there is much more documentation in the Therion wiki:
  http://therion.speleo.sk/wiki/doku.php with introductory guides, FAQs
- and examples. Read those first.
+ and examples. Read those first to get an understanding of how it is
+ used.
