=== debian/rules ===
--- 
+++ 
@@ -78,6 +78,3 @@
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install configure
-
-get-orig-source: 
-	wget -nc -nd http://therion.speleo.sk/download.php?package=therion
